# Mastodon's spamcheck

Check and store data from spam bots trying to register to your Mastodon server.
You need to configure your Mastodon server like this:  
  
- Registration mode -> Approval required for sign up  
- Require new users to enter a reason to join -> activated  

### Dependencies

-   **Python 3**
-   Postgresql server
-   [Mastodon](https://joinmastodon.org) server admin

### Usage:

Within Python Virtual Environment:

1. Run `pip install -r requirements.txt` to install needed Python libraries.

2. Run `python db-setup.py` to setup and create new Postgresql database and needed tables in it.  

3. Use your favourite scheduling method to set `python spamcheck.py` to run regularly.

